# Command: replace

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    replace - Replace a section of a string or array by a new sequence.

Synopsis:

    (string1) a b (string2) replace -> (string3)
      [array1]  a b [array2]  replace -> [array3]

Examples:

    [1 2 3 4 5 6 7] 2 3 [99 99 99 99] replace -> [1 2 99 99 99 99 6 7]
      (computer) 1 5 (are) replace ->(career)

Description:

    Replaces the elements a through b in container1 by
      container2.

SeeAlso:

- ReplaceOccurrences

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative